# Generated by Django 3.0.8 on 2021-01-12 09:11

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=255, unique=True, verbose_name='نام کشور')),
                ('code', models.CharField(db_index=True, max_length=2, unique=True, verbose_name='کد کشور')),
                ('population', models.BigIntegerField(verbose_name='جمعیت')),
                ('death_rate', models.FloatField(null=True, verbose_name='نرخ مرگ')),
                ('recovery_rate', models.FloatField(null=True, verbose_name='میزان برآوردن')),
                ('updated_at', models.DateTimeField(verbose_name='به روز شده در')),
            ],
            options={
                'verbose_name': 'کشور',
                'verbose_name_plural': 'کشور ها',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Statistics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deaths', models.BigIntegerField(verbose_name='کل فوت شده ها')),
                ('confirmed', models.BigIntegerField(verbose_name='کل موارد تایید شده')),
                ('recovered', models.BigIntegerField(verbose_name='کل موارد بهبود یافته')),
                ('critical', models.BigIntegerField(verbose_name='کل موارد بحرانی')),
                ('timeline', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='کشور')),
                ('updated_at', models.DateTimeField(verbose_name='به روز شده در')),
                ('FK_Country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='country_statistics', to='main.Country', verbose_name='کشور')),
            ],
            options={
                'verbose_name': 'آمار',
                'verbose_name_plural': 'آمار ها',
                'ordering': ('id',),
            },
        ),
    ]
